summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAnand Avati <avati@gluster.com>2011-08-19 15:19:44 +0530
committerAnand Avati <avati@gluster.com>2011-08-19 07:56:49 -0700
commitc4dd6f5771e9a530c90cb6e23d6f43a7224fb654 (patch)
treec301394f4ebebe609283d4e6ddf764d43c3fc698
parentdd2c197c1d5d5942a65c860997ec1d5793ef249f (diff)
smoke-test.sh: script used by gerrit as part of pre-commit test
Change-Id: Idc3be3e22cca5fc623b27c2f500f59785cbd332b BUG: 3234 Reviewed-on: http://review.gluster.com/262 Tested-by: Gluster Build System <jenkins@build.gluster.com> Reviewed-by: Anand Avati <avati@gluster.com>
-rwxr-xr-xsmoke.sh83
1 files changed, 83 insertions, 0 deletions
diff --git a/smoke.sh b/smoke.sh
new file mode 100755
index 000000000..3226b74f1
--- /dev/null
+++ b/smoke.sh
@@ -0,0 +1,83 @@
+#!/bin/bash
+
+set -e;
+
+M=/mnt;
+P=/build;
+H=$(hostname);
+T=600;
+V=patchy;
+
+
+function cleanup()
+{
+ killall -15 glusterfs glusterfsd glusterd glusterd 2>&1 || true;
+ killall -9 glusterfs glusterfsd glusterd glusterd 2>&1 || true;
+ umount -l $M 2>&1 || true;
+ rm -rf /etc/glusterd $P/export;
+}
+
+function start_fs()
+{
+ mkdir -p $P/export;
+ chmod 0755 $P/export;
+
+ glusterd;
+ gluster volume create $V replica 2 $H:$P/export/export{1,2,3,4};
+ gluster volume start $V;
+ glusterfs -s $H --volfile-id $V $M;
+# mount -t glusterfs $H:/$V $M;
+}
+
+
+function run_tests()
+{
+ cd $M;
+
+ (sleep 1; dbench -x -s -t 60 10 >/dev/null) &
+
+ (sleep 1; /opt/qa/tools/posix_compliance.sh) &
+
+ wait %2
+ wait %3
+
+ rm -rf clients;
+
+ cd -;
+}
+
+
+function watchdog ()
+{
+ # insurance against hangs during the test
+
+ sleep $1;
+
+ echo "Kicking in watchdog after $1 secs";
+
+ cleanup;
+}
+
+
+function finish ()
+{
+ cleanup;
+ kill %1;
+}
+
+function main ()
+{
+ cleanup;
+
+ watchdog $T &
+
+ trap finish EXIT;
+
+ set -x;
+
+ start_fs;
+
+ run_tests;
+}
+
+main "$@";